
package simula.simset.simulation;

import simula.SimulaException;

/**
 * This class envelopes the simulator into a process so that the simulation itself
 * becomes a process, whose main function is the scheduling of the other processes.
 */
public abstract class SimulationMain extends Process {

		


/**
* Creates the main process of the given simulation.
* @exception SimulaException Unable to activate the main process.
*/
public  SimulationMain (Simulation _simulation) throws SimulaException {
	super(_simulation) ;
	sim.activate(this) ;
}
}